name: Alert
slug: alert
groups: general
form:
  general:
    - name : alert_fg_text
      label: Alert
      type: fields-group
      status: open
      schema:
        - name: heading
          label : Heading
          type: text
          value: This is an Alert

        - name: content
          label: Content
          type: editor
          value: Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.

        - name: type
          label: Type
          type: select
          value: qx-alert-info
          options:
            qx-alert-primary: Primary
            qx-alert-secondary: Secondary
            qx-alert-success: Success
            qx-alert-danger: Danger
            qx-alert-warning: Warning
            qx-alert-info: Info
            qx-alert-light: Light
            qx-alert-dark: Dark

        - name : alignment
          label: Alignment
          type : choose
          options:
            left :
              label: Left
              icon : qxicon-align-left
            center :
              label : Center
              icon : qxicon-align-center
            right :
              label : Right
              icon : qxicon-align-right

  styles:
    - name : alert_fg_heading_style
      label: Heading
      type: fields-group
      status  : open
      schema :
        - name: heading_color
          label: Color
          type : color

        - name: heading_font
          label : Typography
          type: typography

    - name    : alert_fg_content_style
      label   : Content
      type    : fields-group
      schema  :
        - name: content_color
          label: Color
          type : color

        - name: content_font
          label : Typography
          type: typography

